## LassoSoapFault

LassoSoapFault — object mapping for a soap11:Fault

## Stability Level

Stable, unless otherwise indicated

## Functions

LassoSoapFault * | lasso_soap_fault_new ()
LassoSoapFault * | lasso_soap_fault_new_from_message ()
LassoSoapFault * | lasso_soap_fault_new_full ()

## Types and Values

struct | LassoSoapFault

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSoapFault

## Description

Figure 98. Schema fragment for soap11:Fault

    <xs: element name="Fault" type="tns: Fault"/>
    <xs: complexType name="Fault" final="extension">
      <xs: annotation>
        <xs: documentation>
          Fault reporting structure
        </xs: documentation>
      </xs: annotation>
      <xs: sequence>
        <xs: element name="faultcode" type="xs: QName"/>
        <xs: element name="faultstring" type="xs: string"/>
        <xs: element name="faultactor" type="xs: anyURI" minOccurs="0"/>
        <xs: element name="detail" type="tns: detail" minOccurs="0"/>
      </xs: sequence>
     </xs: complexType>

     <xs: complexType name="detail">
       <xs: sequence>
         <xs: any namespace="##any" minOccurs="0" maxOccurs="unbounded" processContents="lax"/>
       </xs: sequence>
       <xs: anyAttribute namespace="##any" processContents="lax"/>
     </xs: complexType>

## Functions

### lasso_soap_fault_new ()

    LassoSoapFault *
    lasso_soap_fault_new (void);

### lasso_soap_fault_new_from_message ()

    LassoSoapFault *
    lasso_soap_fault_new_from_message (const gchar *message);

### lasso_soap_fault_new_full ()

    LassoSoapFault *
    lasso_soap_fault_new_full (const char *faultcode,
                               const char *faultstring);

## Types and Values

### struct LassoSoapFault

    struct LassoSoapFault;